 Introduction
@
@ This help file guides you how to test HFP profile AG role using Bluetooth Stack for Windows
by Toshiba against PTS Test tool.

This Test Tool(HFP Tester) supports Mandatory specifications only.

**** HFP Tester ****

stands for PC test tool of AG role (refer to the image below)

**** PTS Test Tool ****

stands for PTS tester role (refer to the image below)

Please perform each test sequentially from the top.


 Preparation
@
@ Configure the WorkSpace of HFP profile. Open new WorkSpace.

Search the address of HFP Tester and select it.
Search the address by clicking the gSearchh button or enter the address directly (enter digits without g:h.).

Make sure the PC name and click next button.

Select Profile to test.

Select the test case.
Key mark appears left side of the test case when FALSE is selected.

Enter phone number and memory number. Set g0h for TSPX_server_channel_tester.
IncomingCall of PTS Test tool sends the phone number specified here

Save workspace before start test or the configuration wonft be reflected.


@ Registration by Bluetooth Settings

To register, run test which requires the connection, such as TC_AG_TRS_BV_01_I.
Select TC_AG_TRS_BV_01_I on PTS Test tool and click OK

Open Bluetooth Settings of HFP Tester PC to register the PTS Test tool PC at Express mode.

Disable Skype Assistant before start testing.

PTS Test tool may complete testing after registration of Bluetooth Settings of AG is done.


@ Start of HFP Tester

When following dialog appears, enter ID.

This dialog may not appear again once correct ID is entered.
Entering the incorrect ID may show the following dialog and the HFP Tester will be terminated.

Following dialog appears when HFP Tester is started.

Menu

File .... Exit

Test ....Test items

Help ....Version of Toshiba Bluetooth Stack and Help of this tool


 AG_TRS
@
@ TC_AG_TRS_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"3. HfTransferStatus",uncheck LAN
CONNECT and click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"3. HfTransferStatus",check LAN
CONNECT and click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_ACS
TC_AG_ACS_BV_02_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"5DHfConnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"6. HfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BV_04_I

(Start)

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"6. HfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BV_06_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BV_08_I

(Start)

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

**** HFP Tester ****

Select"6DHfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BV_10_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

**** HFP Tester ****

Select"6DHfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"5DHfConnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BV_11_I

(Start)

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

**** HFP Tester ****

Select"6DHfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)

TC_AG_ACS_BI_14_C

(Start)

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

Select Select"17. HfSetSoundRetry",uncheck eSCO/SCO Retry and click OK..

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

**** PTS Test Tool ****

When you see the following window, please run next step and click OK.

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

Select Select"17. HfSetSoundRetry",Check eSCO/SCO Retry and click OK..

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_ACR
@
@ TC_AG_ACR_BV_02_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"5. HfConnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"6. HfDisConnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_ICA
@
@ | TC_AG_ICA_BV_01_1 (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g1h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_ICA_BV_04_1 (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_ICA_BV_06_1 (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. **** HFP Tester **** Select"11DHfAnswerIncomingCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_ICR
@
@ | TC_AG_ICR_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_ICR_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. **** HFP Tester **** Select"10DHfIRejectall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_TCA
 | TC_AG_TCA_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_TCA_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
 | TC_AG_TCA_BV_03_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
 | TC_AG_TCA_BV_04_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_ATH
TC_AG_ATH_BV_04_I

(Start)

**** HFP Tester ****

Select g7. HfSCOListenh.
Enter the address, check Accept and click OK. Copy/Paste the address from [detail] of BT settings icon.

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

**** HFP Tester ****

Select"6DHfDisconnectSCO"and Click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

Click OK.

**** HFP Tester ****

"Select9 HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_ATA
@
@ | TC_AG_ATA_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. **** HFP Tester **** Select"6DHfDisconnectSCO"and Click OK. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_ATA_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g8.HfIncomingCallh Insert Address and click OK.. Make sure that the Option is g2h, then enter the phone number as configured, and click OK. **** PTS Test Tool **** Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK. Click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_OCN
@
@ TC_AG_OCN_BV_01_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Make sure the phone number as below,

Select g12. HfReceiveCallh, confirm the address and click OK.

**** PTS Test Tool ****

Click OK.

Click OK.

**** HFP Tester ****

Select"9. HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_OCM
@
@ | TC_AG_OCM_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Make sure the memory number as below, When you see the following dialog, enter "0" to "Response Data" and click OK within 20 seconds. Select g12. HfReceiveCallh, confirm the address and click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** select g12. HfReceiveCallh,confirm the address and click OK. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_OCM_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Make sure the memory number as below, When you see the following dialog, enter "1" to "Response Data" and click OK within 20 seconds. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_OCL
@
@ | TC_AG_OCL_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. Click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Make sure the AT command as below When you see the following dialog, enter "0" to "Response Data" and click OK within 20 seconds. Select g12. HfReceiveCallh, confirm the address and click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select g12. HfReceiveCallh, confirm the address and click OK. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Select"9. HfTerminateCall"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_OCM_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. Click OK. **** HFP Tester **** Make sure the AT command as below. When you see the following dialog, enter "1" to "Response Data" and click OK within 20 seconds. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_CIT
@
@ TC_AG_CIT_BV_01_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

**** HFP Tester ****

Select"9. HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_TDC
@
@ TC_AG_TDC_BV_01_I

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g2h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

Click OK.

Following dialog appears to confirm the DTMF
code (0, 1, 2, 3, 4, 5, 6, 7, 8, 9, *, #). Click OK.

Click OK.

**** HFP Tester ****

Select"9. HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_CLI
@
@ TC_AG_CLI_BV_01_1

(Start)

**** PTS Test Tool ****

Select the test and click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select g8.HfIncomingCallh
Insert Address and click OK..
Make sure that the Option is g1h, then enter the phone number as configured, and click OK.

**** PTS Test Tool ****

Check"HfNotify Test : AT+ATA Received." on HFP Tester,and click OK.

Click OK.

**** HFP Tester ****

Select"9. HfTerminateCall"and Click OK.

**** PTS Test Tool ****

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_SLC
@
@ | TC_AG_SLC_BV_03_I (Start) **** PTS Test Tool **** Select the test and click OK.(2 times) Select the test and click OK. **** HFP Tester **** Select"6. HfDisconnectSCO"and Click OK. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_SLC_BV_04_I (Start) **** PTS Test Tool **** Select the test and click OK. Select Click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)


 AG_NUM
@
@ TC_AG_NUM_BV_01_I

(Start)

**** PTS Test Tool ****

Select Click OK.

**** HFP Tester ****

Select g1.Hfconnecth
Insert Address and click OK..
Copy/Paste the address in the [detail] of BT settings icon,
or search the address by clicking the gDevice Searchh button.

**** PTS Test Tool ****

Click OK.

Click OK.

Click OK.

**** HFP Tester ****

Select"2. HfDisconnect"and Click OK.

**** PTS Test Tool ****

Make sure Pass appears

(END)


 AG_PSI
@
@ | TC_AG_PSI_BV_01_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** Click OK. **** HFP Tester **** Select "13.HsSendSignalStrength", make sure that the address is correct, enter "0" **** PTS Test Tool **** Click OK. Click OK. Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_PSI_BV_02_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** **** HFP Tester **** Select "14.HsSendRomingStatus", make sure that the address is correct, enter "1" **** PTS Test Tool **** **** HFP Tester **** Select "14.HsSendRomingStatush", make sure that the address is correct, enter "0" Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_PSI_BV_03_I (Start) **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** **** HFP Tester **** Select "15.HsSendBatteryLevel", make sure that the address is correct, enter "0" **** PTS Test Tool **** **** HFP Tester **** Select "15.HsSendBatteryLevel", make sure that the address is correct, enter "5" **** PTS Test Tool **** Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)
@ | TC_AG_PSI_BV_04_I (Start) **** HFP Tester **** Select "16.HsSendQueryOperator", enter "AAAAA" in Operator Name and click OK. **** PTS Test Tool **** Select the test and click OK. **** HFP Tester **** Select g1.Hfconnecth Insert Address and click OK.. Copy/Paste the address in the [detail] of BT settings icon, or search the address by clicking the gDevice Searchh button. **** PTS Test Tool **** make sure that the strings are correct, and click OK. Click OK. **** HFP Tester **** Select"2. HfDisconnect"and Click OK. **** PTS Test Tool **** Make sure Pass appears (END)